---
title: GlobalEventHandlers.onload
slug: Web/API/GlobalEventHandlers/onload
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
  - onload
---
<div>{{ApiRef()}}</div>

<p>The <strong><code>onload</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("load")}} events on a {{domxref("Window")}}, {{domxref("XMLHttpRequest")}}, {{htmlelement("img")}} element, etc.</p>

<p>The <code>load</code> event fires when a given resource has loaded.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onload = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is the handler function to be called when the window’s <code>load</code> event fires.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">window.onload = function() {
  init();
  doSomethingElse();
};
</pre>

<pre class="brush: html">&lt;!doctype html&gt;
&lt;html&gt;
  &lt;head&gt;
    &lt;title&gt;onload test&lt;/title&gt;
    // ES5
    &lt;script&gt;
      function load() {
        console.log("load event detected!");
      }
      window.onload = load;
    &lt;/script&gt;
    // ES2015
    &lt;script&gt;
      const load = () =&gt; {
        console.log("load event detected!");
      }
      window.onload = load;
    &lt;/script&gt;
  &lt;/head&gt;
  &lt;body&gt;
    &lt;p&gt;The load event fires when the document has finished loading!&lt;/p&gt;
  &lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Notes">Notes</h2>

<p>The <code>load</code> event fires at the end of the document loading process. At this point, all of the objects in the document are in the DOM, and all the images, scripts, links and sub-frames have finished loading.</p>

<p>There are also <a href="/en-US/docs/Web/Events">DOM Events</a> like <code>DOMContentLoaded</code> and <code>DOMFrameContentLoaded</code> (which can be handled using {{domxref("EventTarget.addEventListener()")}}) which are fired after the DOM for the page has been constructed, but do not wait for other resources to finish loading.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "webappapis.html#handler-onload", "onload")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onload")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Event("load")}} event</li>
 <li><code>DOMContentLoaded</code> event in <a href="/en-US/docs/Listening_to_events_in_Firefox_extensions#Simple_DOM_events">Listening to events: Simple DOM events</a></li>
 <li>IIFE <a href="https://en.wikipedia.org/wiki/Immediately-invoked_function_expression" rel="nofollow noreferrer">Immediately-invoked function expression</a></li>
</ul>
